
QGIS Application - Feature request #3697

Add option "Zoom to full extent including invisible layers"

2011-03-31 10:08 AM - Paolo Cavallini

Status: Open

Priority: Low

Assignee:

Category: Map Canvas

Pull Request or Patch supplied:Yes Resolution:

Easy fix?: No Copied to github as #: 13756

Description

Zoom to full extent should zoom to the full extent of all loaded layers (as most popular packages do), not only to those activated in the

legend

History

#1 - 2011-04-05 02:41 AM - sunilkcube -

- Status changed from Open to In Progress

#2 - 2011-04-06 03:28 AM - sunilkcube -

The Layers available only in Mapcanvas are used to calculate Full Extent not all the layers present in the Maplayerregistry. Because the design intention of

"Zoom Full" may be to show only the visible layers in the Mapcanvas not all the layers. Can anyone please suggest whether we can use "Zoom Full" to show

all the visible and invisible layers to calculate the Full extent like other GIS packages?.

#3 - 2011-04-06 03:33 AM - Paolo Cavallini

IMHO yes, also according to the principle of least surprise.

#4 - 2011-04-06 03:41 AM - sunilkcube -

Replying to [comment:3 pcav]:

       Thank you for your opinion.

 >IMHO yes, also according to the principle of least surprise.

Then I have created a patch for that design. Can you kindly have a look on it and reply me in case of any comments ?

#5 - 2011-04-06 05:14 AM - Martin Dobias

Replying to [comment:4 sunilkcube]:

Then I have created a patch for that design. Can you kindly have a look on it and reply me in case of any comments ?

Using layers from [[QgsMapLayerRegistry]] for zoom full functionality may not always work correctly. Not all layers in the registry have to be necessarily

connected with the map renderer. There could be other (unrelated) map canvases with their map renderers with different set of layers...

#6 - 2011-04-07 03:08 AM - sunilkcube -
Replying to [comment:5 wonder]:

Using layers from [[QgsMapLayerRegistry]] for zoom full functionality may not always work correctly. Not all layers in the registry have to be

necessarily connected with the map renderer. There could be other (unrelated) map canvases with their map renderers with different set of layers...

Thanks for your suggestions ! Can we use the layers directly from the [[QgsMapCanvas]](layers got from the [[QgsLegend]]) instead of

[[QgsMapLayerRegistry]] for calculating full extent. I have attached a sample patch file regarding this, Can you please verify whether this logic is fine ?

Waiting for your comments ...

#7 - 2011-04-16 10:38 AM - Alexander Bruy

Here is complete patch to fix this issue

#8 - 2011-04-16 10:40 AM - Paolo Cavallini

Can we include it in 1.7?

#9 - 2011-04-16 11:29 AM - Alexander Bruy

Replying to [comment:8 pcav]:

Can we include it in 1.7?

I ask Martin to review it. If there is no objections, I'll commit it

#10 - 2011-12-16 01:48 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#11 - 2012-04-16 06:27 AM - Paolo Cavallini

- Affected QGIS version set to master

- Target version changed from Version 1.7.4 to Version 1.8.0

- Crashes QGIS or corrupts data set to No

#12 - 2012-05-12 04:59 AM - Alexander Bruy

- Pull Request or Patch supplied set to Yes

- Assignee deleted (sunilkcube -)

#13 - 2012-09-04 12:00 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#14 - 2014-06-28 07:40 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#15 - 2015-11-20 07:00 AM - Médéric RIBREUX

- Status changed from In Progress to Feedback
Hello, bug triage...

in QGIS 2.13 master, when you use "Zoom Full", it still zoom on the activated layers so I think that the path has not been applied.

What do we do with this bug ? With at least 4 years of habit, perhaps users wants to keep the "Zoom Full" like it is now (I'd like it too) ?

#16 - 2015-11-20 03:38 PM - Sebastian Dietrich

How about two separate options:

    -  Zoom Full (visible layers)

    -  Zoom Full (loaded layers)

#17 - 2015-11-21 12:09 AM - Médéric RIBREUX

Sebastian Dietrich wrote:

How about two separate options:    -  Zoom Full (visible layers)

    -  Zoom Full (loaded layers)

Hello,

why not, even if there can be a UI problem: there is already 8 buttons for zoom operations. One more button will make the toolbar more encumbered.

Perhaps a new setting in the Settings -> Map Tools tab -> Panning and zooming groupbox which could be named like "Zoom Full behaviour" with a

QListWidget with two options "Zoom only on visible layers" and "Zoom on all layers" ?

#18 - 2015-11-22 04:03 AM - Jukka Rahkonen

I would say this is not a bug because changing the behaviour would make some other users unhappy. It can be a feature request, though. Personally I like

the current way better. I wonder which programs belong to the list of "most popular packages".

#19 - 2015-12-19 02:45 PM - Giovanni Manghi

- Operating System deleted (All)

- Category changed from GUI to Map Canvas

- Status info deleted (0)

Jukka Rahkonen wrote:

I would say this is not a bug because changing the behaviour would make some other users unhappy. It can be a feature request, though.

Personally I like the current way better. I wonder which programs belong to the list of "most popular packages".

agree.

#20 - 2015-12-19 02:45 PM - Giovanni Manghi

- Status changed from Feedback to Open

- Tracker changed from Bug report to Feature request

- Start date set to 2015-12-19
#21 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No

#22 - 2018-01-29 07:14 PM - Paolo Cavallini

- Subject changed from Zoom to full extent considers only visible layers to Add option "Zoom to full extent including invisible layers"

Still unimplemented in QGIS3

Files

Patch_for_the_bug__3697.diff 917 Bytes 2011-04-06 sunilkcube -

Patch_for_the_bug__3697.2.diff 917 Bytes 2011-04-06 sunilkcube -

sample_patch.diff 2.42 KB 2011-04-07 sunilkcube -

fix_zoom_to_full_extent.diff 2.39 KB 2011-04-16 Alexander Bruy
